Subject: Re: Last Call: 'Definitions of Managed Objects for Remote Ping, Traceroute, and Lookup Operations' to Proposed Standard

From: "Tom.Petch" <[email-masked]>
Date: Sun, 5 Mar 2006 20:23:16 +0100

Randy

I would suggest some wording if I knew what was intended but as yet, I don't:-(.
I suspect that Bill's description - use the next available integer in sequence -
may be what is intended but, for me, that is not the sense of the words.  Off
list:-(, I did get a different interpretation -  from one who was involved in
the earlier discussion of monotonic -  that any index value would do as long as
the order of the entries in the table matched the order of the hops.  So I still
think that there is a minor ambiguity here

Tom Petch

----- Original Message -----
From: "Randy Presuhn" <[email-masked]>
To: "Bill Fenner" <[email-masked]>; <[email-masked]>;
"Tom.Petch" <[email-masked]>; "Bill Strahm" <[email-masked]>; "iesg"
<[email-masked]>; "ietf" <[email-masked]>
Cc: "Disman" <[email-masked]>
Sent: Tuesday, February 28, 2006 10:16 PM
Subject: Re: Last Call: 'Definitions of Managed Objects for Remote
Ping,Traceroute, and Lookup Operations' to Proposed Standard

> Hi -
>
> If the document gives a false impression that the values of
> traceRouteHopsHopIndex could be interpreted as hop numbers,
> an editorial change to dispel that notion would make sense.
> (Likewise, if "consecutive integers starting at one" was the intent, and
> is what current implementations actually do, then we should say so.)
>
> I can see how the last two sentences of the last paragraph of
> the DESCRIPTION might lead to such a reading.  Does
> someone have some replacement text they'd like to propose
> to make things clearer?
>
> Randy, disman chair
>
> ----- Original Message -----
> From: "Bill Fenner" <[email-masked]>
> To: <[email-masked]>; "Tom.Petch" <[email-masked]>;
"Bill Strahm" <[email-masked]>; "iesg" <[email-masked]>;
> "ietf" <[email-masked]>
> Sent: Monday, February 27, 2006 10:48 PM
> Subject: Re: Last Call: 'Definitions of Managed Objects for Remote
Ping,Traceroute, and Lookup Operations' to Proposed Standard
>
>
> Juergen,
>
>   I assumed, from reading in traceRouteHopsHopIndex about the behavior
> when a path changes, that the only safe thing for a manager to do is
> to read the hops from the table and render them to the user in order
> of increasing traceRouteHopsHopIndex but without necessarily showing
> the traceRouteHopsHopIndex to the user -- that it was perfectly
> reasonable for hops 1,2,3,4 of a 4-hop path to be numbered 1,8,12,35
> (assuming that they started 1,2,3,4 but there were lots of path
> changes during the test).
>
>   I think some people are assuming that the intention was that the
> values should be 1,2,3,4 (i.e., HopIndex == hop number) and that's why
> they're asking for a different definition.  Perhaps the right
> direction could be to clarify that there is no connection between the
> value of HopIndex and traceroute hop, other than the ordering.
>
>   Bill
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
>
>

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf